#
# spec file for package perl-Task-Kensho-Scalability
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Task-Kensho-Scalability
Version:        0.39
Release:        3.1
%define cpan_name Task-Kensho-Scalability
Summary:        Glimpse at an Enlightened Perl: Scalability
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Task-Kensho-Scalability/
Source0:        http://www.cpan.org/authors/id/E/ET/ETHER/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(CHI)
BuildRequires:  perl(Module::Build::Tiny) >= 0.034
BuildRequires:  perl(Module::Metadata)
BuildRequires:  perl(Redis)
Requires:       perl(CHI)
Requires:       perl(Redis)
%{perl_requires}

%description
From http://en.wikipedia.org/wiki/Kensho:

    Kenshō (見性) (C. Wu) is a Japanese term for enlightenment experiences -
    most commonly used within the confines of Zen Buddhism - literally
    meaning "seeing one's nature"[1] or "true self."[2] It generally
    "refers to the realization of nonduality of subject and object."[3]

Task::Kensho is a list of recommended modules for Enlightened Perl
development. CPAN is wonderful, but there are too many wheels and you have
to pick and choose amongst the various competing technologies.

The plan is for Task::Kensho to be a rough testing ground for ideas that go
into among other things the Enlightened Perl Organisation Extended Core
(EPO-EC).

The modules that are bundled by Task::Kensho are broken down into several
categories and are still being considered. They are all taken from various
top 100 most used perl modules lists and from discussions with various
subject matter experts in the Perl Community. That said, this bundle does
_not_ follow the guidelines established for the EPO-EC for peer review via
industry advisers.

Starting in 2011, Task::Kensho split its sub-groups of modules into
individually-installable tasks. Each Task::Kensho sub-task is listed at the
beginning of its section in this documentation.

When installing Task::Kensho itself, you will be asked to install each
sub-task in turn, or you can install individual tasks separately. These
individual tasks will always install all their modules by default. This
facilitates the ease and simplicity the distribution aims to achieve.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build build --flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Mon Jun 13 2016 coolo@suse.com
- updated to 0.39
  see /usr/share/doc/packages/perl-Task-Kensho-Scalability/Changes
  0.39      2016-05-14
  - WebDev: removed Dancer, added Dancer2
  - OOP: added Moose, Moo and many related modules
  - Exceptions: remove TryCatch
  - Testing: remove Test::Most and Test::NoWarnings, added Test::Warnings
  - Config: added JSON::MaybeXS
* Sat Apr 25 2015 coolo@suse.com
- updated to 0.38
  see /usr/share/doc/packages/perl-Task-Kensho-Scalability/Changes
  0.38      2014-09-13
  - WebDev: Template::Toolkit is not indexed (see RT#92588) -
    refer to Template instead
  - subtask distributions now just use regular prereqs on their
    component modules, rather than using optional_features metadata
  - Task-Kensho now once again prompts at install time for each
    subtask to be optionally installed
  0.37      2014-08-16
  - ModuleDev: Switch Carp::Always over to Devel::Confess (per mst)
  - ModuleDev: Add Data::Printer (per Sawyer X)
  - ModuleDev: Add Devel::Dwarn (per mst)
  - Toolchain: Add Pinto (per Sawyer X)
  - Toolchain: Add App::FatPacker (per perigrin)
* Mon Mar 17 2014 coolo@suse.com
- updated to 0.36
  - add Redis and sync with the other tasks
* Sat Mar 26 2011 coolo@opensuse.org
- initial package 0.28
  * created by cpanspec 1.78.03
* Fri Jan 21 2011 coolo@novell.com
- initial package 0.27
  * created by cpanspec 1.78.03
